# MyEMS

 [中文](#MyEMS-介绍) | [EN](#MyEMS-Introduction)

## MyEMS 介绍

MyEMS是领先的开源能源管理系统，利用云计算、物联网、大数据、人工智能等信息化技术构建而成。MyEMS可用于构建统一规范、功能强大的综合能源管理服务平台。MyEMS由资深专业团队开发维护，系统代码基于MIT开源软件许可协议。

## MyEMS架构
![MyEMS Architecture](/.readme/architecture.png)

## 组件

MyEMS项目由下列组件构成:

### MyEMS Web APP

参考仓库 [myems](https://github.com/myems/myems.git) 获取更多信息。

### MyEMS 管理面板

参考仓库  [myems-admin](https://github.com/myems/myems-admin.git) 获取更多信息。

### MyEMS 数据库

参考仓库  [myems-database](https://github.com/myems/myems-database.git) 获取更多信息。

### MyEMS 数据清洗服务

参考仓库  [myems-cleaning](https://github.com/myems/myems-cleaning.git) 获取更多信息。

### MyEMS 数据规范化服务

参考仓库  [myems-normalization](https://github.com/myems/myems-normalization.git) 获取更多信息。

### MyEMS 数据汇总服务

参考仓库  [myems-aggregation](https://github.com/myems/myems-aggregation.git) 获取更多信息。

### MyEMS API接口

参考仓库  [myems-api](https://github.com/myems/myems-api.git) 获取更多信息。

### MyEMS MQTT 服务

参考仓库  [myems-mqtt](https://github.com/myems/myems-mqtt.git) 获取更多信息。

### MyEMS BACnet/IP 服务

参考仓库  [myems-bacnet](https://github.com/myems/myems-bacnet.git) 获取更多信息。

## 版本对比
| 功能                            |                      标准版                               | 企业版  |
| :---                               |                       :----:                                  |  :----:    |
| 开源                            | ✔️                                                           | ❌ |
| 价格                            | 免费                                                       | 浮动 |
| BACnet/IP                  | ✔️                                                           | ✔️ |
| MQTT                        | ✔️                                                           | ✔️ |
| 无点数限制               | ✔️                                                           | ✔️ |
| 无计量表数限制       | ✔️                                                            | ✔️ |
| 无虚拟表数限制        | ✔️                                                            | ✔️ |
| 无用能单位数限制    | ✔️                                                            | ✔️ |
| Docker                         | ✔️                                                           | ✔️ |
| Kubernetes                   | ✔️                                                           | ✔️ |
| MySQL                        | ✔️                                                           | ✔️ |
| MemSQL                     | ✔️                                                           | ✔️ |
| AWS 云                        | ✔️                                                          | ✔️ |
| AZure 云                      | ✔️                                                          | ✔️ |
| 阿里云                         | ✔️                                                          | ✔️ |
| 能耗报告                     | ✔️                                                           | ✔️ |
| 能源费用                     | ✔️                                                           | ✔️ |
| 能耗排名                    | ✔️                                                           | ✔️ |
| 能耗概览页                | ✔️                                                           | ✔️ |
| 设备能效                    | ✔️                                                           | ✔️ |
| 租户                            | ✔️                                                           | ✔️ |
| RESTful API               | ✔️                                                          | ✔️ |
| Web APP                     |✔️                                                           | ✔️ |
| 在线支持                    |✔️                                                           | ✔️ |
| 邮件支持                    |✔️                                                           | ✔️ |
| Modbus  TCP             | ❌                                                           | ✔️ |
| OPC UA                     | ❌                                                           | ✔️ |
| Siemens S7                 | ❌                                                           | ✔️|
| Johnson Controls Metasys | ❌                                                    | ✔️|
| FDD  规则引擎          | ❌                                                          | ✔️ |
| 高级报表                    |❌                                                          | ✔️ |
| 组态图形绘制            | ❌                                                          | ✔️ |
| BACnet Server           | ❌                                                          | ✔️|
| iOS APP                     | ❌                                                          | ✔️ |
| Android APP              | ❌                                                          | ✔️ |
| 电话支持                    |❌                                                          | ✔️ |
| 远程支持                    |❌                                                          | ✔️ |
| 现场支持                    |❌                                                          | ✔️ |
| 投标支持                    |❌                                                          | ✔️ |
| 定制支持                    |❌                                                          | ✔️ |

## MyEMS Introduction
 MyEMS is an advanced Energy Management System that is built on cloud computing, IOT, Big Data and AI technologies. MyEMS can be used to build an standard and powerful integrated energy management service platform.
MyEMS is developed and maintained by an experienced development team, and the source code is under MIT license.

## Architecture
![MyEMS Architecture](/.readme/architecture.png)

## Components

This project is compose of  following components:

### MyEMS Web APP

See the repository [myems](https://github.com/myems/myems.git) for more information.

### MyEMS Administration Panel

See the repository [myems-admin](https://github.com/myems/myems-admin.git) for more information.

### MyEMS Database

See the repository [myems-database](https://github.com/myems/myems-database.git) for more information.

### MyEMS Cleaning Service

See the repository [myems-cleaning](https://github.com/myems/myems-cleaning.git) for more information.

### MyEMS Normalization Service

See the repository [myems-normalization](https://github.com/myems/myems-normalization.git) for more information.

### MyEMS Aggregation Service

See the repository [myems-aggregation](https://github.com/myems/myems-aggregation.git) for more information.

### MyEMS API

See the repository [myems-api](https://github.com/myems/myems-api.git) for more information.

### MyEMS MQTT Service

See the repository [myems-mqtt](https://github.com/myems/myems-mqtt.git) for more information.

### MyEMS BACnet/IP Service

See the repository [myems-bacnet](https://github.com/myems/myems-bacnet.git) for more information.

## Compare Editions
| Features                       | Standard Edition                                    | Enterprise Edition  |
| :---                               |                       :----:                                  |  :----:    |
| Open Source                | ✔️ MIT                                                  | ❌ |
| Price                             | Free                                                        | Floating |
| BACnet/IP                  | ✔️                                                           | ✔️ |
| MQTT                        | ✔️                                                           | ✔️ |
| Unlimited Number of Points | ✔️                                                | ✔️ |
| Unlimited Number of Meters | ✔️                                                | ✔️ |
| Unlimited Number of Virtual Meters | ✔️                                    | ✔️ |
| Unlimited Number of Spaces | ✔️                                                | ✔️ |
| Docker                         | ✔️                                                           | ✔️ |
| Kubernetes                   | ✔️                                                           | ✔️ |
| MySQL                        | ✔️                                                           | ✔️ |
| MemSQL                     | ✔️                                                           | ✔️ |
| AWS Cloud                  | ✔️                                                          | ✔️ |
| AZure Cloud                | ✔️                                                          | ✔️ |
| Alibaba Cloud              | ✔️                                                          | ✔️ |
| Energy Reporting        | ✔️                                                           | ✔️ |
| Energy Billing             | ✔️                                                           | ✔️ |
| Energy Ranking          | ✔️                                                           | ✔️ |
| Energy Dashboard      | ✔️                                                           | ✔️ |
| Equipment Efficiency | ✔️                                                           | ✔️ |
| Tenant                         | ✔️                                                           | ✔️ |
| RESTful API               | ✔️                                                          | ✔️ |
| Web APP                     |✔️                                                           | ✔️ |
| Online Support            |✔️                                                           | ✔️ |
| Email Support             |✔️                                                           | ✔️ |
| Modbus  TCP             | ❌                                                           | ✔️ |
| OPC UA                     | ❌                                                           | ✔️ |
| Siemens S7                 | ❌                                                           | ✔️|
| Johnson Controls Metasys | ❌                                                    | ✔️|
| FDD  Rule Engine      | ❌                                                          | ✔️ |
| Advanced Reporting   |❌                                                          | ✔️ |
| Draw Diagrams          | ❌                                                          | ✔️ |
| BACnet Server           | ❌                                                          | ✔️|
| iOS APP                     | ❌                                                          | ✔️ |
| Android APP              | ❌                                                          | ✔️ |
| Telephone Support      |❌                                                          | ✔️ |
| Remote Support          |❌                                                          | ✔️ |
| Onsite Support            |❌                                                          | ✔️ |
| Bid Support                 |❌                                                          | ✔️ |
| Customize Support      |❌                                                          | ✔️ |
